using System;
using System.Text;
using System.Drawing;

namespace Spherical.Visualizer
{
    public class LcdColor
    {
        private Color[] colorList;

        public LcdColor()
        {
            colorList = new Color[5];
            colorList[0] = ColorTranslator.FromHtml("#FBBA14");
            colorList[1] = ColorTranslator.FromHtml("#FE0000");
            colorList[2] = ColorTranslator.FromHtml("#0062FE");
            colorList[3] = ColorTranslator.FromHtml("#00C000");
            colorList[4] = ColorTranslator.FromHtml("#6969AF");
        }

        public Color this[int i]
        {
            get { return colorList[i]; }
        }

        public Color this[string color]
        {
            get 
            {
                switch (color.ToLower()[0])
                {
                    case 'y': return this.colorList[0];
                    case 'r': return this.colorList[1];
                    case 'b': return this.colorList[2];
                    case 'g': return this.colorList[3];
                    case 'l': return this.colorList[4];
                    default:
                        return Color.White;
                }
            }
        }
    }
}
